IntlDateFormatter::setPattern
IntlDateFormatter::setTimeZone
IntlDateFormatter
PHP Manual

# IntlDateFormatter::setTimeZoneId

# datefmt_set_timezone_id

Sets the time zone to use

### Description

Object oriented style

public bool IntlDateFormatter::setTimeZoneId ( string `$zone` )

Procedural style

bool datefmt_set_timezone_id ( IntlDateFormatter `$fmt` , string `$zone` )

Sets the time zone to use.

Warning

This function has been DEPRECATED as of PHP 5.5.0. Relying on this function is highly discouraged.

### Parameters

`fmt`

  The formatter resource.

`zone`

  The time zone ID string of the time zone to use. If `NULL` or the empty string, the default time zone for the runtime is used.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 datefmt_set_timezone_id example

`<?php
$fmt = datefmt_create(
'en_US',
IntlDateFormatter::FULL,
IntlDateFormatter::FULL,
'America/Los_Angeles',
IntlDateFormatter::GREGORIAN
);
echo 'timezone_id of the formatter is : ' . datefmt_get_timezone_id($fmt);
datefmt_set_timezone_id($fmt, 'CN');
echo 'Now timezone_id of the formatter is : ' . datefmt_get_timezone_id($fmt);
?>`

Example #2 OO example

`<?php
$fmt = new IntlDateFormatter(
'en_US',
IntlDateFormatter::FULL,
IntlDateFormatter::FULL,
'America/Los_Angeles',
IntlDateFormatter::GREGORIAN
);
echo 'timezone_id of the formatter is : ' . $fmt->getTimezoneId();
$fmt->setTimezoneId('CN');
echo 'Now timezone_id of the formatter is : ' . $fmt->getTimezoneId();
?>`

The above example will output:

    timezone_id of the formatter is : America/Los_Angeles
    Now timezone_id of the formatter is : CN

### See Also

- datefmt_get_timezone_id
- datefmt_create